# Makefile.in generated by automake 1.9.6 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@




srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in \
	$(srcdir)/globus-gram-job-manager.conf.in \
	$(srcdir)/globus-personal-gatekeeper.in $(srcdir)/version.h.in \
	$(top_srcdir)/configure $(top_srcdir)/globus_automake_post \
	$(top_srcdir)/globus_automake_post_top \
	$(top_srcdir)/globus_automake_pre \
	$(top_srcdir)/globus_automake_pre_top config.guess config.sub \
	install-sh ltmain.sh missing
sbin_PROGRAMS = globus-job-manager$(EXEEXT) \
	globus-gram-streamer$(EXEEXT) \
	globus-job-manager-lock-test$(EXEEXT)
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES = globus-personal-gatekeeper \
	globus-gram-job-manager.conf version.h
LTLIBRARIES = $(noinst_LTLIBRARIES)
libglobus_gram_job_manager_la_LIBADD =
am_libglobus_gram_job_manager_la_OBJECTS =  \
	globus_gram_job_manager_config.lo globus_gram_job_manager.lo \
	globus_gram_job_manager_auditing.lo \
	globus_gram_job_manager_contact.lo \
	globus_gram_job_manager_gsi.lo \
	globus_gram_job_manager_history_file.lo \
	globus_gram_job_manager_query.lo \
	globus_gram_job_manager_request.lo \
	globus_gram_job_manager_rsl.lo \
	globus_gram_job_manager_script.lo \
	globus_gram_job_manager_seg.lo \
	globus_gram_job_manager_staging.lo \
	globus_gram_job_manager_state.lo \
	globus_gram_job_manager_state_file.lo \
	globus_gram_job_manager_validate.lo \
	globus_gram_job_manager_usagestats.lo logging.lo \
	startup_socket.lo tg_gateway.lo
libglobus_gram_job_manager_la_OBJECTS =  \
	$(am_libglobus_gram_job_manager_la_OBJECTS)
am__installdirs = "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(bindir)" \
	"$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man5dir)" \
	"$(DESTDIR)$(man8dir)" "$(DESTDIR)$(docdir)" \
	"$(DESTDIR)$(globusconfigdir)" "$(DESTDIR)$(validationdir)"
sbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(sbin_PROGRAMS)
globus_gram_streamer_SOURCES = globus_gram_streamer.c
globus_gram_streamer_OBJECTS = globus_gram_streamer.$(OBJEXT)
am__DEPENDENCIES_1 =
globus_gram_streamer_DEPENDENCIES = ./libglobus_gram_job_manager.la \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
am_globus_job_manager_OBJECTS = main.$(OBJEXT)
globus_job_manager_OBJECTS = $(am_globus_job_manager_OBJECTS)
globus_job_manager_DEPENDENCIES = ./libglobus_gram_job_manager.la \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
am_globus_job_manager_lock_test_OBJECTS = lock_test.$(OBJEXT)
globus_job_manager_lock_test_OBJECTS =  \
	$(am_globus_job_manager_lock_test_OBJECTS)
globus_job_manager_lock_test_LDADD = $(LDADD)
binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
SCRIPTS = $(bin_SCRIPTS)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libglobus_gram_job_manager_la_SOURCES) \
	globus_gram_streamer.c $(globus_job_manager_SOURCES) \
	$(globus_job_manager_lock_test_SOURCES)
DIST_SOURCES = $(libglobus_gram_job_manager_la_SOURCES) \
	globus_gram_streamer.c $(globus_job_manager_SOURCES) \
	$(globus_job_manager_lock_test_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
man1dir = $(mandir)/man1
man5dir = $(mandir)/man5
man8dir = $(mandir)/man8
NROFF = nroff
MANS = $(man1_MANS) $(man5_MANS) $(man8_MANS)
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
docDATA_INSTALL = $(INSTALL_DATA)
globusconfigDATA_INSTALL = $(INSTALL_DATA)
validationDATA_INSTALL = $(INSTALL_DATA)
DATA = $(doc_DATA) $(globusconfig_DATA) $(validation_DATA)
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = @ACLOCAL@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
AR = @AR@
ARFLAGS = @ARFLAGS@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CROSS = @CROSS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DIRT_BRANCH_ID = @DIRT_BRANCH_ID@
DIRT_TIMESTAMP = @DIRT_TIMESTAMP@
DOT = @DOT@
DOXYFILE = @DOXYFILE@
DOXYGEN = @DOXYGEN@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
ENABLE_PROGRAMS_FALSE = @ENABLE_PROGRAMS_FALSE@
ENABLE_PROGRAMS_TRUE = @ENABLE_PROGRAMS_TRUE@
EXEEXT = @EXEEXT@
F77 = @F77@
F77FLAGS = @F77FLAGS@
F90 = @F90@
F90FLAGS = @F90FLAGS@
FFLAGS = @FFLAGS@
FILELIST_FILE = @FILELIST_FILE@
GENERATE_MANPAGES_FALSE = @GENERATE_MANPAGES_FALSE@
GENERATE_MANPAGES_TRUE = @GENERATE_MANPAGES_TRUE@
GLOBUS_FLAVOR_NAME = @GLOBUS_FLAVOR_NAME@
GLOBUS_TOOLKIT_VERSION = @GLOBUS_TOOLKIT_VERSION@
GPT_AGE_VERSION = @GPT_AGE_VERSION@
GPT_CFLAGS = @GPT_CFLAGS@
GPT_CONFIG_CFLAGS = @GPT_CONFIG_CFLAGS@
GPT_CONFIG_INCLUDES = @GPT_CONFIG_INCLUDES@
GPT_CONFIG_LIBS = @GPT_CONFIG_LIBS@
GPT_CONFIG_PKG_LIBS = @GPT_CONFIG_PKG_LIBS@
GPT_EXTERNAL_INCLUDES = @GPT_EXTERNAL_INCLUDES@
GPT_EXTERNAL_LIBS = @GPT_EXTERNAL_LIBS@
GPT_INCLUDES = @GPT_INCLUDES@
GPT_IS_2 = @GPT_IS_2@
GPT_LDFLAGS = @GPT_LDFLAGS@
GPT_LIBS = @GPT_LIBS@
GPT_LIB_LINKS = @GPT_LIB_LINKS@
GPT_LINKTYPE = @GPT_LINKTYPE@
GPT_LOCATION = @GPT_LOCATION@
GPT_MAJOR_VERSION = @GPT_MAJOR_VERSION@
GPT_MINOR_VERSION = @GPT_MINOR_VERSION@
GPT_PGM_LINKS = @GPT_PGM_LINKS@
GPT_PKGCONFIG_DEPENDENCIES = @GPT_PKGCONFIG_DEPENDENCIES@
GPT_PKG_CFLAGS = @GPT_PKG_CFLAGS@
HAVE_DOT = @HAVE_DOT@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INSURE = @INSURE@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAINT = @MAINT@
MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
MAKEINFO = @MAKEINFO@
OBJECT_MODE = @OBJECT_MODE@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PERL = @PERL@
RANLIB = @RANLIB@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
WITHOUT_FLAVORS_FALSE = @WITHOUT_FLAVORS_FALSE@
WITHOUT_FLAVORS_TRUE = @WITHOUT_FLAVORS_TRUE@
XML2_CONFIG = @XML2_CONFIG@
XMLLINT = @XMLLINT@
XML_CATALOG_PATH = @XML_CATALOG_PATH@
XML_CPPFLAGS = @XML_CPPFLAGS@
XML_LIBS = @XML_LIBS@
XSLTPROC = @XSLTPROC@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_F77 = @ac_ct_F77@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
aclocaldir = @aclocaldir@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
cross_compiling = @cross_compiling@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
doxygendir = @doxygendir@
exec_prefix = @exec_prefix@
flavorincludedir = @flavorincludedir@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
lac_doxygen_examples = @lac_doxygen_examples@
lac_doxygen_file_patterns = @lac_doxygen_file_patterns@
lac_doxygen_input_filter = @lac_doxygen_input_filter@
lac_doxygen_installdox = @lac_doxygen_installdox@
lac_doxygen_internal_tagfiles = @lac_doxygen_internal_tagfiles@
lac_doxygen_output_tagfile = @lac_doxygen_output_tagfile@
lac_doxygen_predefines = @lac_doxygen_predefines@
lac_doxygen_project = @lac_doxygen_project@
lac_doxygen_srcdirs = @lac_doxygen_srcdirs@
lac_doxygen_tagfiles = @lac_doxygen_tagfiles@
libdir = @libdir@
libexecdir = @libexecdir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
perlmoduledir = @perlmoduledir@
pkgconfdir = @pkgconfdir@
pkgconffile = @pkgconffile@
pkgconffile_in = @pkgconffile_in@
pkgdir = @pkgdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
sbindir = @sbindir@
setupdir = @setupdir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
testdir = @testdir@
scriptsysconfdir = ${sysconfdir}
amdirdir = ${datadir}/globus_amdir
LINK_BAK = orig
AUTOMAKE_OPTIONS = no-dependencies
SUBDIRS = pkgdata doxygen scripts seg

# Extra directories we install files into
validationdir = $(datadir)/globus/$(PACKAGE)
globusconfigdir = ${sysconfdir}/globus
globusconfig_DATA = globus-gram-job-manager.conf

# Where targets are installed
noinst_LTLIBRARIES = libglobus_gram_job_manager.la
bin_SCRIPTS = globus-personal-gatekeeper
validation_DATA = globus-gram-job-manager.rvf

# Mapping of source files to libraries and executables
libglobus_gram_job_manager_la_SOURCES = \
	globus_gram_job_manager.h \
        globus_gram_job_manager_config.c \
        globus_gram_job_manager.c \
	globus_gram_job_manager_validation.h \
	globus_gram_job_manager_auditing.c \
	globus_gram_job_manager_contact.c \
	globus_gram_job_manager_gsi.c \
	globus_gram_job_manager_history_file.c \
	globus_gram_job_manager_query.c \
	globus_gram_job_manager_request.c \
	globus_gram_job_manager_rsl.c \
	globus_gram_job_manager_script.c \
	globus_gram_job_manager_seg.c \
	globus_gram_job_manager_staging.c \
	globus_gram_job_manager_state.c \
	globus_gram_job_manager_state_file.c \
	globus_gram_job_manager_validate.c \
        globus_gram_job_manager_usagestats.c \
        logging.c \
        startup_socket.c \
        tg_gateway.c

globus_job_manager_SOURCES = main.c
globus_job_manager_lock_test_SOURCES = lock_test.c

# Compiler flags
INCLUDES = $(GPT_INCLUDES) $(XML_CPPFLAGS)
globus_job_manager_LDFLAGS = $(GPT_LDFLAGS)
globus_job_manager_LDADD = \
	./libglobus_gram_job_manager.la \
        $(GPT_PGM_LINKS) $(XML_LIBS)

globus_gram_streamer_LDFLAGS = $(GPT_LDFLAGS)
globus_gram_streamer_LDADD = \
	./libglobus_gram_job_manager.la $(GPT_PGM_LINKS) $(XML_LIBS)

man1_MANS = globus-personal-gatekeeper.1
man8_MANS = globus-job-manager.8
man5_MANS = rsl.5
MANUAL_SOURCE = globus-personal-gatekeeper-manual.xml \
                globus-job-manager-manual.xml \
                manual.xml \
                rsl.xml

doc_DATA = GLOBUS_LICENSE

# Files which we want to put in the source package
EXTRA_DIST = globus-personal-gatekeeper.in $(validation_DATA) \
	version.h.in configuration.dox globus_gram_job_manager_rsl.dox \
	globus_gram_job_manager_script_interface.dox \
	globus_gram_job_manager_script_tutorial.dox \
	globus_job_manager_rsl_validation.dox \
	job_execution_environment.dox $(MANUAL_SOURCE) $(man1_MANS) \
	$(man5_MANS) $(man8_MANS) $(doc_DATA) main.dox dirt.sh \
	globus-gram-job-manager.conf.in libxml.m4 bootstrap \
	globus_automake_pre globus_automake_post \
	globus_automake_pre_top globus_automake_post_top dirt.sh \
	gptdata.sh
CLEANFILES = \
    globus-personal-gatekeeper \
    globus_gram_job_manager_rsl.dox

DISTCLEANFILES = globus-script-initializer globus-perl-initializer
all: all-recursive

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
am--refresh:
	@:
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/globus_automake_pre $(top_srcdir)/globus_automake_pre_top $(top_srcdir)/globus_automake_post $(top_srcdir)/globus_automake_post_top $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
globus-personal-gatekeeper: $(top_builddir)/config.status $(srcdir)/globus-personal-gatekeeper.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
globus-gram-job-manager.conf: $(top_builddir)/config.status $(srcdir)/globus-gram-job-manager.conf.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
version.h: $(top_builddir)/config.status $(srcdir)/version.h.in
	cd $(top_builddir) && $(SHELL) ./config.status $@

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libglobus_gram_job_manager.la: $(libglobus_gram_job_manager_la_OBJECTS) $(libglobus_gram_job_manager_la_DEPENDENCIES) 
	$(LINK)  $(libglobus_gram_job_manager_la_LDFLAGS) $(libglobus_gram_job_manager_la_OBJECTS) $(libglobus_gram_job_manager_la_LIBADD) $(LIBS)
install-sbinPROGRAMS: $(sbin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(sbindir)" || $(mkdir_p) "$(DESTDIR)$(sbindir)"
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(sbinPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(sbindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(sbinPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(sbindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-sbinPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(sbindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(sbindir)/$$f"; \
	done

clean-sbinPROGRAMS:
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
globus-gram-streamer$(EXEEXT): $(globus_gram_streamer_OBJECTS) $(globus_gram_streamer_DEPENDENCIES) 
	@rm -f globus-gram-streamer$(EXEEXT)
	$(LINK) $(globus_gram_streamer_LDFLAGS) $(globus_gram_streamer_OBJECTS) $(globus_gram_streamer_LDADD) $(LIBS)
globus-job-manager$(EXEEXT): $(globus_job_manager_OBJECTS) $(globus_job_manager_DEPENDENCIES) 
	@rm -f globus-job-manager$(EXEEXT)
	$(LINK) $(globus_job_manager_LDFLAGS) $(globus_job_manager_OBJECTS) $(globus_job_manager_LDADD) $(LIBS)
globus-job-manager-lock-test$(EXEEXT): $(globus_job_manager_lock_test_OBJECTS) $(globus_job_manager_lock_test_DEPENDENCIES) 
	@rm -f globus-job-manager-lock-test$(EXEEXT)
	$(LINK) $(globus_job_manager_lock_test_LDFLAGS) $(globus_job_manager_lock_test_OBJECTS) $(globus_job_manager_lock_test_LDADD) $(LIBS)
install-binSCRIPTS: $(bin_SCRIPTS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  if test -f $$d$$p; then \
	    f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	    echo " $(binSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	    $(binSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(bindir)/$$f"; \
	  else :; fi; \
	done

uninstall-binSCRIPTS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

.c.o:
	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
install-man1: $(man1_MANS) $(man_MANS)
	@$(NORMAL_INSTALL)
	test -z "$(man1dir)" || $(mkdir_p) "$(DESTDIR)$(man1dir)"
	@list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    1*) ;; \
	    *) ext='1' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
	  $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst"; \
	done
uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    1*) ;; \
	    *) ext='1' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f '$(DESTDIR)$(man1dir)/$$inst'"; \
	  rm -f "$(DESTDIR)$(man1dir)/$$inst"; \
	done
install-man5: $(man5_MANS) $(man_MANS)
	@$(NORMAL_INSTALL)
	test -z "$(man5dir)" || $(mkdir_p) "$(DESTDIR)$(man5dir)"
	@list='$(man5_MANS) $(dist_man5_MANS) $(nodist_man5_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.5*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    5*) ;; \
	    *) ext='5' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man5dir)/$$inst'"; \
	  $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man5dir)/$$inst"; \
	done
uninstall-man5:
	@$(NORMAL_UNINSTALL)
	@list='$(man5_MANS) $(dist_man5_MANS) $(nodist_man5_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.5*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    5*) ;; \
	    *) ext='5' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f '$(DESTDIR)$(man5dir)/$$inst'"; \
	  rm -f "$(DESTDIR)$(man5dir)/$$inst"; \
	done
install-man8: $(man8_MANS) $(man_MANS)
	@$(NORMAL_INSTALL)
	test -z "$(man8dir)" || $(mkdir_p) "$(DESTDIR)$(man8dir)"
	@list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.8*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    8*) ;; \
	    *) ext='8' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
	  $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst"; \
	done
uninstall-man8:
	@$(NORMAL_UNINSTALL)
	@list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.8*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    8*) ;; \
	    *) ext='8' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f '$(DESTDIR)$(man8dir)/$$inst'"; \
	  rm -f "$(DESTDIR)$(man8dir)/$$inst"; \
	done
install-docDATA: $(doc_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(docdir)" || $(mkdir_p) "$(DESTDIR)$(docdir)"
	@list='$(doc_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(docDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(docdir)/$$f'"; \
	  $(docDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(docdir)/$$f"; \
	done

uninstall-docDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(doc_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(docdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(docdir)/$$f"; \
	done
install-globusconfigDATA: $(globusconfig_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(globusconfigdir)" || $(mkdir_p) "$(DESTDIR)$(globusconfigdir)"
	@list='$(globusconfig_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(globusconfigDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(globusconfigdir)/$$f'"; \
	  $(globusconfigDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(globusconfigdir)/$$f"; \
	done

uninstall-globusconfigDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(globusconfig_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(globusconfigdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(globusconfigdir)/$$f"; \
	done
install-validationDATA: $(validation_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(validationdir)" || $(mkdir_p) "$(DESTDIR)$(validationdir)"
	@list='$(validation_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(validationDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(validationdir)/$$f'"; \
	  $(validationDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(validationdir)/$$f"; \
	done

uninstall-validationDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(validation_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(validationdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(validationdir)/$$f"; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	$(am__remove_distdir)
	mkdir $(distdir)
	$(mkdir_p) $(distdir)/. $(distdir)/doxygen $(distdir)/pkgdata
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d "$(distdir)/$$subdir" \
	    || $(mkdir_p) "$(distdir)/$$subdir" \
	    || exit 1; \
	    distdir=`$(am__cd) $(distdir) && pwd`; \
	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$$top_distdir" \
	        distdir="$$distdir/$$subdir" \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) \
	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
	  dist-hook
	-find $(distdir) -type d ! -perm -755 -exec chmod a+rwx,go+rx {} \; -o \
	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
	|| chmod -R a+r $(distdir)
dist-gzip: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

dist-bzip2: distdir
	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
	$(am__remove_distdir)

dist-tarZ: distdir
	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
	$(am__remove_distdir)

dist-shar: distdir
	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
	$(am__remove_distdir)

dist-zip: distdir
	-rm -f $(distdir).zip
	zip -rq $(distdir).zip $(distdir)
	$(am__remove_distdir)

dist dist-all: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	case '$(DIST_ARCHIVES)' in \
	*.tar.gz*) \
	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
	*.tar.bz2*) \
	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
	*.tar.Z*) \
	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
	*.shar.gz*) \
	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
	*.zip*) \
	  unzip $(distdir).zip ;;\
	esac
	chmod -R a-w $(distdir); chmod a+w $(distdir)
	mkdir $(distdir)/_build
	mkdir $(distdir)/_inst
	chmod a-w $(distdir)
	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
	  && cd $(distdir)/_build \
	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
	    $(DISTCHECK_CONFIGURE_FLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
	        distuninstallcheck \
	  && chmod -R a-w "$$dc_install_base" \
	  && ({ \
	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
	  && rm -rf "$$dc_destdir" \
	  && $(MAKE) $(AM_MAKEFLAGS) dist \
	  && rm -rf $(DIST_ARCHIVES) \
	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
	$(am__remove_distdir)
	@(echo "$(distdir) archives ready for distribution: "; \
	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
	  sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
distuninstallcheck:
	@cd $(distuninstallcheck_dir) \
	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
	   || { echo "ERROR: files left after uninstall:" ; \
	        if test -n "$(DESTDIR)"; then \
	          echo "  (check DESTDIR support)"; \
	        fi ; \
	        $(distuninstallcheck_listfiles) ; \
	        exit 1; } >&2
distcleancheck: distclean
	@if test '$(srcdir)' = . ; then \
	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
	  exit 1 ; \
	fi
	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
	  || { echo "ERROR: files left in build directory after distclean:" ; \
	       $(distcleancheck_listfiles) ; \
	       exit 1; } >&2
check-am: all-am
check: check-recursive
all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(SCRIPTS) $(MANS) $(DATA)
installdirs: installdirs-recursive
installdirs-am:
	for dir in "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man8dir)" "$(DESTDIR)$(docdir)" "$(DESTDIR)$(globusconfigdir)" "$(DESTDIR)$(validationdir)"; do \
	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
	done
install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-recursive

clean-am: clean-generic clean-libtool clean-noinstLTLIBRARIES \
	clean-sbinPROGRAMS mostlyclean-am

distclean: distclean-recursive
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-libtool distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

info: info-recursive

info-am:

install-data-am: install-docDATA install-globusconfigDATA install-man \
	install-validationDATA
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-data-hook

install-exec-am: install-binSCRIPTS install-sbinPROGRAMS

install-info: install-info-recursive

install-man: install-man1 install-man5 install-man8

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -rf $(top_srcdir)/autom4te.cache
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-binSCRIPTS uninstall-docDATA \
	uninstall-globusconfigDATA uninstall-info-am uninstall-man \
	uninstall-sbinPROGRAMS uninstall-validationDATA

uninstall-info: uninstall-info-recursive

uninstall-man: uninstall-man1 uninstall-man5 uninstall-man8

.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
	check-am clean clean-generic clean-libtool \
	clean-noinstLTLIBRARIES clean-recursive clean-sbinPROGRAMS \
	ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
	dist-hook dist-shar dist-tarZ dist-zip distcheck distclean \
	distclean-compile distclean-generic distclean-libtool \
	distclean-recursive distclean-tags distcleancheck distdir \
	distuninstallcheck dvi dvi-am html html-am info info-am \
	install install-am install-binSCRIPTS install-data \
	install-data-am install-data-hook install-docDATA install-exec \
	install-exec-am install-globusconfigDATA install-info \
	install-info-am install-man install-man1 install-man5 \
	install-man8 install-sbinPROGRAMS install-strip \
	install-validationDATA installcheck installcheck-am \
	installdirs installdirs-am maintainer-clean \
	maintainer-clean-generic maintainer-clean-recursive \
	mostlyclean mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \
	tags tags-recursive uninstall uninstall-am \
	uninstall-binSCRIPTS uninstall-docDATA \
	uninstall-globusconfigDATA uninstall-info-am uninstall-man \
	uninstall-man1 uninstall-man5 uninstall-man8 \
	uninstall-sbinPROGRAMS uninstall-validationDATA


all: $(BUILT_SOURCES)

globus_gram_job_manager_rsl.dox: globus-gram-job-manager.rvf
	perl scripts/create_rsl_documentation.pl < $< > $@
rsl.xml: globus-gram-job-manager.rvf
	perl scripts/create_rsl_documentation.pl -x < $< > $@

install-data-hook:
	mkdir -p $(DESTDIR)$(localstatedir)/lib/globus/gram_job_state
	chmod 1777 $(DESTDIR)$(localstatedir)/lib/globus/gram_job_state

@GENERATE_MANPAGES_TRUE@export XML_CATALOG_FILES :=  $(XML_CATALOG_PATH)

@GENERATE_MANPAGES_TRUE@$(man1_MANS) $(man5_MANS) $(man8_MANS): $(MANUAL_SOURCE)
@GENERATE_MANPAGES_TRUE@	$(XMLLINT) --xinclude --dtdvalid http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd manual.xml > /dev/null
@GENERATE_MANPAGES_TRUE@	$(XSLTPROC) --xinclude http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl manual.xml

dist-hook:
	$(GPT_LOCATION)/sbin/gpt_create_automake_rules --excludes=doxygen -srcdir=$(top_distdir)
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
link-am:

unlink-am:

filelist-am:

link: link-recursive link-binSCRIPTS link-docDATA link-globusconfigDATA link-sbinPROGRAMS link-validationDATA 
	:

unlink: unlink-recursive unlink-binSCRIPTS unlink-docDATA unlink-globusconfigDATA unlink-sbinPROGRAMS unlink-validationDATA 
	:

.PHONY: link unlink link-recursive unlink-recursive link-am unlink-am filelist-amlink-binSCRIPTS unlink-binSCRIPTS filelist-binSCRIPTS link-docDATA unlink-docDATA filelist-docDATA link-globusconfigDATA unlink-globusconfigDATA filelist-globusconfigDATA  filelist-man1  filelist-man1  filelist-man1  filelist-man5  filelist-man5  filelist-man5  filelist-man8  filelist-man8  filelist-man8 link-sbinPROGRAMS unlink-sbinPROGRAMS filelist-sbinPROGRAMS link-validationDATA unlink-validationDATA filelist-validationDATA 

filelist: filelist-recursive filelist-binSCRIPTS filelist-docDATA filelist-globusconfigDATA  filelist-man1  filelist-man1  filelist-man1  filelist-man5  filelist-man5  filelist-man5  filelist-man8  filelist-man8  filelist-man8 filelist-sbinPROGRAMS filelist-validationDATA 
	:




link-binSCRIPTS: $(bin_SCRIPTS)
	@$(NORMAL_INSTALL)
	@$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	  mydir=`pwd`; \
	  target_p=$(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	  if test -f $$p; then \
		if test -f $$target_p -a ! -h $$target_p; then \
			echo "mv $$target_p $$target_p.$(LINK_BAK)"; \
			mv $$target_p $$target_p.$(LINK_BAK); \
		fi; \
		if test ! -h $$target_p; then \
			echo "ln -s $$mydir/$$p $$target_p"; \
			ln -s $$mydir/$$p $$target_p; \
		fi; \
	  else if test -f $(srcdir)/$$p; then \
		cd $(srcdir); \
		fullsrcdir=`pwd`; \
		cd $$mydir; \
		if test -f $$target_p -a ! -h $$target_p; then \
			echo "mv $$target_p $$target_p.$(LINK_BAK)"; \
			mv $$target_p $$target_p.$(LINK_BAK); \
		fi; \
		if test ! -h $$target_p; then \
			echo "ln -s $$fullsrcdir/$$p $$target_p"; \
			ln -s $$fullsrcdir/$$p $$target_p; \
		fi; \
	  else :; fi; fi; \
	done

unlink-binSCRIPTS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	    	target_p=$(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
		if test -h $$target_p; then \
			echo "rm $$target_p"; \
			rm $$target_p; \
		fi; \
		if test -f $$target_p.$(LINK_BAK); then \
			echo "mv $$target_p.$(LINK_BAK) $$target_p"; \
			mv $$target_p.$(LINK_BAK) $$target_p; \
		fi; \
	done

filelist-binSCRIPTS:
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	  filelistdir="`echo $(FILELIST_FILE) | sed -e 's!/[^/]*$$!!'`"; \
	  p="`echo "$(bindir)/$$p" | sed -e 's!^$(prefix)!!'`"; \
	  echo "$$p" >> "$${filelistdir}/${GLOBUS_FLAVOR_NAME}_pgm.filelist"; \
	done





link-docDATA: $(doc_DATA)
	@$(NORMAL_INSTALL)
	@$(mkinstalldirs) $(DESTDIR)$(docdir)
	@list='$(doc_DATA)'; for p in $$list; do \
	  mydir=`pwd`; \
	  target_p=$(DESTDIR)$(docdir)/$$p; \
	  if test -f $(srcdir)/$$p; then \
		cd $(srcdir); \
		fullsrcdir=`pwd`; \
		cd $$mydir; \
		if test -f $$target_p -a ! -h $$target_p; then \
			echo "mv $$target_p $$target_p.$(LINK_BAK)"; \
			mv $$target_p $$target_p.$(LINK_BAK); \
		fi; \
		if test ! -h $$target_p; then \
			echo "ln -s $$fullsrcdir/$$p $$target_p"; \
			ln -s $$fullsrcdir/$$p $$target_p; \
		fi; \
	  else if test -f $$p; then \
		if test -f $$target_p -a ! -h $$target_p; then \
			echo "mv $$target_p $$target_p.$(LINK_BAK)"; \
			mv $$target_p $$target_p.$(LINK_BAK); \
		fi; \
		if test ! -h $$target_p; then \
			echo "ln -s $$mydir/$$p $$target_p"; \
			ln -s $$mydir/$$p $$target_p; \
		fi; \
	  fi; fi; \
	done

unlink-docDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(doc_DATA)'; for p in $$list; do \
	target_p=$(DESTDIR)$(docdir)/$$p; \
	if test -h $$target_p; then \
		echo "rm $$target_p"; \
		rm $$target_p; \
	fi; \
	if test -f $$target_p.$(LINK_BAK); then \
		echo "mv $$target_p.$(LINK_BAK) $$target_p"; \
		mv $$target_p.$(LINK_BAK) $$target_p; \
	fi; \
	done

filelist-docDATA:
	@list='$(doc_DATA)'; for p in $$list; do \
	  filelistdir="`echo $(FILELIST_FILE) | sed -e 's!/[^/]*$$!!'`"; \
          dirname='doc'; \
	  origp="$$p" ; \
	  p="`echo $(docdir)/$$p | sed -e 's!^$(prefix)!!'`"; \
	  case "$$dirname-$$origp" in \
            *-pkg_data_*.gpt) \
              type=`echo $$origp | sed -e 's!^pkg_data_!!' -e 's!.gpt$$!!'`; \
              echo "$$p" >> "$${filelistdir}/$${type}.filelist" ; \
              ;; \
            *-*.filelist) \
              echo "$$p" >> "$${filelistdir}/$${origp}" ; \
              ;; \
            *-*.pc) \
              echo "$$p" >> "$${filelistdir}/$(GLOBUS_FLAVOR_NAME)_dev.filelist"; \
              ;; \
            *-*.pm) \
              echo "$$p" >> "$${filelistdir}/$(GLOBUS_FLAVOR_NAME)_rtl.filelist"; \
              ;; \
            *doc-*) \
              echo "$$p" >> "$${filelistdir}/noflavor_doc.filelist"; \
              ;; \
            *) \
              echo "$$p" >> "$${filelistdir}/noflavor_data.filelist"; \
              ;; \
	  esac ; \
	done




link-globusconfigDATA: $(globusconfig_DATA)
	@$(NORMAL_INSTALL)
	@$(mkinstalldirs) $(DESTDIR)$(globusconfigdir)
	@list='$(globusconfig_DATA)'; for p in $$list; do \
	  mydir=`pwd`; \
	  target_p=$(DESTDIR)$(globusconfigdir)/$$p; \
	  if test -f $(srcdir)/$$p; then \
		cd $(srcdir); \
		fullsrcdir=`pwd`; \
		cd $$mydir; \
		if test -f $$target_p -a ! -h $$target_p; then \
			echo "mv $$target_p $$target_p.$(LINK_BAK)"; \
			mv $$target_p $$target_p.$(LINK_BAK); \
		fi; \
		if test ! -h $$target_p; then \
			echo "ln -s $$fullsrcdir/$$p $$target_p"; \
			ln -s $$fullsrcdir/$$p $$target_p; \
		fi; \
	  else if test -f $$p; then \
		if test -f $$target_p -a ! -h $$target_p; then \
			echo "mv $$target_p $$target_p.$(LINK_BAK)"; \
			mv $$target_p $$target_p.$(LINK_BAK); \
		fi; \
		if test ! -h $$target_p; then \
			echo "ln -s $$mydir/$$p $$target_p"; \
			ln -s $$mydir/$$p $$target_p; \
		fi; \
	  fi; fi; \
	done

unlink-globusconfigDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(globusconfig_DATA)'; for p in $$list; do \
	target_p=$(DESTDIR)$(globusconfigdir)/$$p; \
	if test -h $$target_p; then \
		echo "rm $$target_p"; \
		rm $$target_p; \
	fi; \
	if test -f $$target_p.$(LINK_BAK); then \
		echo "mv $$target_p.$(LINK_BAK) $$target_p"; \
		mv $$target_p.$(LINK_BAK) $$target_p; \
	fi; \
	done

filelist-globusconfigDATA:
	@list='$(globusconfig_DATA)'; for p in $$list; do \
	  filelistdir="`echo $(FILELIST_FILE) | sed -e 's!/[^/]*$$!!'`"; \
          dirname='globusconfig'; \
	  origp="$$p" ; \
	  p="`echo $(globusconfigdir)/$$p | sed -e 's!^$(prefix)!!'`"; \
	  case "$$dirname-$$origp" in \
            *-pkg_data_*.gpt) \
              type=`echo $$origp | sed -e 's!^pkg_data_!!' -e 's!.gpt$$!!'`; \
              echo "$$p" >> "$${filelistdir}/$${type}.filelist" ; \
              ;; \
            *-*.filelist) \
              echo "$$p" >> "$${filelistdir}/$${origp}" ; \
              ;; \
            *-*.pc) \
              echo "$$p" >> "$${filelistdir}/$(GLOBUS_FLAVOR_NAME)_dev.filelist"; \
              ;; \
            *-*.pm) \
              echo "$$p" >> "$${filelistdir}/$(GLOBUS_FLAVOR_NAME)_rtl.filelist"; \
              ;; \
            *doc-*) \
              echo "$$p" >> "$${filelistdir}/noflavor_doc.filelist"; \
              ;; \
            *) \
              echo "$$p" >> "$${filelistdir}/noflavor_data.filelist"; \
              ;; \
	  esac ; \
	done






filelist-man1: $(man1_MANS) $(man_MANS)
	@list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  filelistdir="`echo $(FILELIST_FILE) | sed -e 's!/[^/]*$$!!'`"; \
	  p="`echo $(man1dir)/$$inst | sed -e 's!^$(prefix)!!'`"; \
	  echo $$p >> "$${filelistdir}/noflavor_doc.filelist"; \
	done








filelist-man5: $(man5_MANS) $(man_MANS)
	@list='$(man5_MANS) $(dist_man5_MANS) $(nodist_man5_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.5*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  filelistdir="`echo $(FILELIST_FILE) | sed -e 's!/[^/]*$$!!'`"; \
	  p="`echo $(man5dir)/$$inst | sed -e 's!^$(prefix)!!'`"; \
	  echo $$p >> "$${filelistdir}/noflavor_doc.filelist"; \
	done








filelist-man8: $(man8_MANS) $(man_MANS)
	@list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.8*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  filelistdir="`echo $(FILELIST_FILE) | sed -e 's!/[^/]*$$!!'`"; \
	  p="`echo $(man8dir)/$$inst | sed -e 's!^$(prefix)!!'`"; \
	  echo $$p >> "$${filelistdir}/noflavor_doc.filelist"; \
	done








filelist-man1: $(man1_MANS) $(man_MANS)
	@list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  filelistdir="`echo $(FILELIST_FILE) | sed -e 's!/[^/]*$$!!'`"; \
	  p="`echo $(man1dir)/$$inst | sed -e 's!^$(prefix)!!'`"; \
	  echo $$p >> "$${filelistdir}/noflavor_doc.filelist"; \
	done








filelist-man5: $(man5_MANS) $(man_MANS)
	@list='$(man5_MANS) $(dist_man5_MANS) $(nodist_man5_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.5*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  filelistdir="`echo $(FILELIST_FILE) | sed -e 's!/[^/]*$$!!'`"; \
	  p="`echo $(man5dir)/$$inst | sed -e 's!^$(prefix)!!'`"; \
	  echo $$p >> "$${filelistdir}/noflavor_doc.filelist"; \
	done








filelist-man8: $(man8_MANS) $(man_MANS)
	@list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.8*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  filelistdir="`echo $(FILELIST_FILE) | sed -e 's!/[^/]*$$!!'`"; \
	  p="`echo $(man8dir)/$$inst | sed -e 's!^$(prefix)!!'`"; \
	  echo $$p >> "$${filelistdir}/noflavor_doc.filelist"; \
	done








filelist-man1: $(man1_MANS) $(man_MANS)
	@list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  filelistdir="`echo $(FILELIST_FILE) | sed -e 's!/[^/]*$$!!'`"; \
	  p="`echo $(man1dir)/$$inst | sed -e 's!^$(prefix)!!'`"; \
	  echo $$p >> "$${filelistdir}/noflavor_doc.filelist"; \
	done








filelist-man5: $(man5_MANS) $(man_MANS)
	@list='$(man5_MANS) $(dist_man5_MANS) $(nodist_man5_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.5*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  filelistdir="`echo $(FILELIST_FILE) | sed -e 's!/[^/]*$$!!'`"; \
	  p="`echo $(man5dir)/$$inst | sed -e 's!^$(prefix)!!'`"; \
	  echo $$p >> "$${filelistdir}/noflavor_doc.filelist"; \
	done








filelist-man8: $(man8_MANS) $(man_MANS)
	@list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.8*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  filelistdir="`echo $(FILELIST_FILE) | sed -e 's!/[^/]*$$!!'`"; \
	  p="`echo $(man8dir)/$$inst | sed -e 's!^$(prefix)!!'`"; \
	  echo $$p >> "$${filelistdir}/noflavor_doc.filelist"; \
	done






link-sbinPROGRAMS: $(sbin_PROGRAMS)
	@$(NORMAL_INSTALL)
	@$(mkinstalldirs) $(DESTDIR)$(sbindir)
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	  	mydir=`pwd`; \
		target_p=$(DESTDIR)$(sbindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
		if test -f $$target_p -a ! -h $$target_p; then \
			echo "mv $$target_p $$target_p.$(LINK_BAK)"; \
			mv $$target_p $$target_p.$(LINK_BAK); \
		fi; \
		if test ! -h $$target_p; then \
			echo "ln -s $$mydir/$$p $$target_p"; \
			ln -s $$mydir/$$p $$target_p; \
		fi; \
	  else :; fi; \
	done

unlink-sbinPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
		target_p=$(DESTDIR)$(sbindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
		if test -h $$target_p; then \
			echo "rm $$target_p"; \
			rm $$target_p; \
		fi; \
		if test -f $$target_p.$(LINK_BAK); then \
			echo "mv $$target_p.$(LINK_BAK) $$target_p"; \
			mv $$target_p.$(LINK_BAK) $$target_p; \
		fi; \
	done

filelist-sbinPROGRAMS:
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
          if test "$(GPT_LINKTYPE)" = "shared"; then \
              filelisttype="pgm"; \
          else \
              filelisttype="pgm_static"; \
          fi; \
	  filelistdir="`echo $(FILELIST_FILE) | sed -e 's!/[^/]*$$!!'`"; \
	  p="`echo "$(sbindir)/$$p" | sed -e 's!^$(exec_prefix)!!'`"; \
	  echo "$$p" >> "$${filelistdir}/${GLOBUS_FLAVOR_NAME}_$${filelisttype}.filelist"; \
	done




link-validationDATA: $(validation_DATA)
	@$(NORMAL_INSTALL)
	@$(mkinstalldirs) $(DESTDIR)$(validationdir)
	@list='$(validation_DATA)'; for p in $$list; do \
	  mydir=`pwd`; \
	  target_p=$(DESTDIR)$(validationdir)/$$p; \
	  if test -f $(srcdir)/$$p; then \
		cd $(srcdir); \
		fullsrcdir=`pwd`; \
		cd $$mydir; \
		if test -f $$target_p -a ! -h $$target_p; then \
			echo "mv $$target_p $$target_p.$(LINK_BAK)"; \
			mv $$target_p $$target_p.$(LINK_BAK); \
		fi; \
		if test ! -h $$target_p; then \
			echo "ln -s $$fullsrcdir/$$p $$target_p"; \
			ln -s $$fullsrcdir/$$p $$target_p; \
		fi; \
	  else if test -f $$p; then \
		if test -f $$target_p -a ! -h $$target_p; then \
			echo "mv $$target_p $$target_p.$(LINK_BAK)"; \
			mv $$target_p $$target_p.$(LINK_BAK); \
		fi; \
		if test ! -h $$target_p; then \
			echo "ln -s $$mydir/$$p $$target_p"; \
			ln -s $$mydir/$$p $$target_p; \
		fi; \
	  fi; fi; \
	done

unlink-validationDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(validation_DATA)'; for p in $$list; do \
	target_p=$(DESTDIR)$(validationdir)/$$p; \
	if test -h $$target_p; then \
		echo "rm $$target_p"; \
		rm $$target_p; \
	fi; \
	if test -f $$target_p.$(LINK_BAK); then \
		echo "mv $$target_p.$(LINK_BAK) $$target_p"; \
		mv $$target_p.$(LINK_BAK) $$target_p; \
	fi; \
	done

filelist-validationDATA:
	@list='$(validation_DATA)'; for p in $$list; do \
	  filelistdir="`echo $(FILELIST_FILE) | sed -e 's!/[^/]*$$!!'`"; \
          dirname='validation'; \
	  origp="$$p" ; \
	  p="`echo $(validationdir)/$$p | sed -e 's!^$(prefix)!!'`"; \
	  case "$$dirname-$$origp" in \
            *-pkg_data_*.gpt) \
              type=`echo $$origp | sed -e 's!^pkg_data_!!' -e 's!.gpt$$!!'`; \
              echo "$$p" >> "$${filelistdir}/$${type}.filelist" ; \
              ;; \
            *-*.filelist) \
              echo "$$p" >> "$${filelistdir}/$${origp}" ; \
              ;; \
            *-*.pc) \
              echo "$$p" >> "$${filelistdir}/$(GLOBUS_FLAVOR_NAME)_dev.filelist"; \
              ;; \
            *-*.pm) \
              echo "$$p" >> "$${filelistdir}/$(GLOBUS_FLAVOR_NAME)_rtl.filelist"; \
              ;; \
            *doc-*) \
              echo "$$p" >> "$${filelistdir}/noflavor_doc.filelist"; \
              ;; \
            *) \
              echo "$$p" >> "$${filelistdir}/noflavor_data.filelist"; \
              ;; \
	  esac ; \
	done

link-recursive unlink-recursive filelist-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

